Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# DirectWaitBar Class Reference

Inheritance diagram for DirectWaitBar:

List of all members.

## Public Member Functions
def | __init__
def | destroy
def | finish
def | getPercent
def | setBarBorderWidth
def | setBarColor
def | setBarRelief
def | setBarTexture
def | setRange
def | setValue
def | update
def | updateBarStyle
## Public Attributes
| barStyle

## Detailed Description

    DirectWaitBar - A DirectWidget that shows progress completed
    towards a task.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

Reimplemented from DirectFrame.

## Member Function Documentation

def destroy | ( |  | self | ) |

Reimplemented from DirectFrame.

def finish | ( |  | self,
|  |  | N = `10`
| ) |  |

    Fill the bar in N frames. This call is blocking.

def getPercent | ( |  | self | ) |

    Returns the percentage complete.

def setBarBorderWidth | ( |  | self | ) |

    Updates the bar's border width, which you can set using bar['barBorderWidth'].

def setBarColor | ( |  | self | ) |

    Updates the bar color, which you can set using bar['barColor'].

def setBarRelief | ( |  | self | ) |

    Updates the bar relief, which you can set using bar['barRelief'].

def setBarTexture | ( |  | self | ) |

    Updates the bar texture, which you can set using bar['barTexture'].

def setRange | ( |  | self | ) |

    Updates the bar range which you can set using bar['range'].
    This is the value at which the WaitBar indicates 100%.

def setValue | ( |  | self | ) |

    Updates the bar value which you can set using bar['value'].
    The value should range between 0 and bar['range'].

def update | ( |  | self,
|  |  | value
| ) |  |

    Updates the bar with the given value and renders a frame.

def updateBarStyle | ( |  | self | ) |

## Member Data Documentation

barStyle

All Classes Namespaces Functions Variables Enumerations Enumerator Properties